No, currently this app is only available on the App Store for iPad and requires iOS 9.0 or later.